=== debian/changelog ===
ocp (1:0.2.101+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Tue, 03 Jan 2023 13:52:32 +0100

ocp (1:0.2.100+ds-2) unstable; urgency=medium

  * Upload to sid.

 -- Gürkan Myczko <tar@debian.org>  Tue, 04 Oct 2022 10:24:42 +0200

ocp (1:0.2.100+ds-1) experimental; urgency=medium

  * New upstream version. (Closes: #1020025)
  * Bump standards version to 4.6.1.
  * d/control: add sensible-utils to Depends.
  * d/clean: updated.
  * d/copyright: add Files-Excluded field.

 -- Gürkan Myczko <tar@debian.org>  Tue, 27 Sep 2022 13:52:10 +0200
