## ocp 0.2.105+ds

=== debian/changelog ===
ocp (1:0.2.105+ds-4) experimental; urgency=medium

  * d/control: really fix it here and not just in d/changelog,
    also add shared-mime-info to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 May 2023 11:52:04 +0200

ocp (1:0.2.105+ds-3) experimental; urgency=medium

  * d/control: Add libancient-dev to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 May 2023 11:47:31 +0200

ocp (1:0.2.105+ds-2) experimental; urgency=medium

  * d/control: drop wrong build-depends.

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 May 2023 11:21:35 +0200

ocp (1:0.2.105+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/control: update build-depends-on-obsolete-package.
  * d/not-installed: added.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 May 2023 10:17:19 +0200
