=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dpkg (>= 1.15.4),
+               fonts-unifont,
                libadplug-dev (>= 2.3.1),
+               libancient-dev,
                libbinio-dev (>= 1.5),
                libsdl2-dev,
                libcjson-dev,
@@ -19,15 +21,15 @@
                libflac-dev,
                libid3tag0-dev,
                libmad0-dev,
-               libncursesw5-dev | libncurses5-dev,
+               libncurses-dev,
                libogg-dev,
                libsidplay1-dev,
                libvorbis-dev,
+               shared-mime-info,
                texinfo,
-               fonts-unifont,
                xa65,
-               zlib1g-dev
-Standards-Version: 4.6.1
+               zlib1g-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/ocp.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ocp
